OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_DeltaOnForget Class Reference

This class provides default services for an
AttributeDelta on an Forget action.
Applying this AttributeDelta means RESUMING its
attribute.
.

`#include <TDF_DeltaOnForget.hxx>`

Inheritance diagram for TDF_DeltaOnForget:

[legend]

## Public Member Functions
Standard_EXPORT | TDF_DeltaOnForget (const Handle(TDF_Attribute)&anAtt)
| Creates a TDF_DeltaOnForget. .
Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DeltaOnForget::TDF_DeltaOnForget | ( | const Handle(TDF_Attribute)& | anAtt | ) |

## Member Function Documentation

Standard_EXPORT void TDF_DeltaOnForget::Apply | ( |  | ) | `[virtual]`

| Implements TDF_AttributeDelta.

Standard_EXPORT const TDF_DeltaOnForget::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_AttributeDelta.

The documentation for this class was generated from the following file:

- TDF_DeltaOnForget.hxx